Subject: Re: [PATCH v5 1/1] cat-file: add mailmap subcommand to --batch-command

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 May 2026 12:26:46 +0900

Siddharth Asthana <[email-masked]> writes:

> git-cat-file(1)'s --batch-command works with the --use-mailmap option,
> but this option needs to be set when the process is created. This means
> we cannot change this option mid-operation.
>
> At GitLab, Gitaly keeps interacting with a long-lived git-cat-file
> process and it would be useful if --batch-command supported toggling
> mailmap dynamically on an existing process.
>
> Add a `mailmap` subcommand to --batch-command that takes a boolean
> argument (usual ways you can specify a boolean value like 'yes', 'true',
> etc., are supported). Mailmap data is loaded lazily and kept in memory,
> while a helper centralizes the one-time load path used both at startup
> and from the batch-command handler.
>
> Extend tests to cover runtime toggling, startup option interactions
> (`--mailmap`/`--no-mailmap`), accepted boolean forms, and invalid values.
>
> Signed-off-by: Siddharth Asthana <[email-masked]>
> ---
> CI: https://gitlab.com/gitlab-org/git/-/pipelines/2456596910

I do not think we have heard any comment on this iteration, and it
seems to address the points raised in the reviews in previous
rounds.  Shall we mark the topic for 'next'?

Thanks.